commit a1e166516f994751a8c87af033b92c15fae315c3
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Fri Jul 5 20:00:04 2024 +0100

    libstdc++: Use reserved form of [[__likely__]] in <variant>
    
    We should not use [[unlikely]] before C++20, so use [[__unlikely__]]
    instead.
    
    libstdc++-v3/ChangeLog:
    
            * include/std/variant (_Variant_storage::_M_reset): Use
            __unlikely__ form of attribute instead of unlikely.
    
    (cherry picked from commit 9f1cd51766f251aafe0f1b898892f79855892729)

diff --git a/libstdc++-v3/include/std/variant b/libstdc++-v3/include/std/variant
index 748e9bae1cb..4e56134a6f7 100644
--- a/libstdc++-v3/include/std/variant
+++ b/libstdc++-v3/include/std/variant
@@ -490,7 +490,7 @@ namespace __variant
       constexpr void
       _M_reset()
       {
-	if (!_M_valid()) [[unlikely]]
+	if (!_M_valid()) [[__unlikely__]]
 	  return;
 
 	std::__do_visit<void>([](auto&& __this_mem) mutable

